/*
 * This file is part of Doxygen embedded files and is covered by Doxygen 
 * license below.
 *
 * Copyright (c) 1997-2016 by Dimitri van Heesch.
 *
 * Permission to use, copy, modify, and distribute this software and its 
 * documentation under the terms of the GNU General Public License is hereby 
 * granted. No representations are made about the suitability of this software
 * for any purpose. It is provided "as is" without express or implied warranty.
 * See the GNU General Public License for more details.
 *
 * Documents produced by doxygen are derivative works derived from the input used
 * in their production; they are not affected by this license.
 */


var gdsl__list_8h =
[
    [ "gdsl_list_t", "group__gdsl__list.html#ga6e449755578066b63cbe063a2daec25b", null ],
    [ "gdsl_list_cursor_t", "group__gdsl__list.html#ga4a74cd75b7a6917479c5e3cfeb1eecf1", null ],
    [ "gdsl_list_alloc", "group__gdsl__list.html#ga7fe9720535ab73f5f6f8d22485a48fbb", null ],
    [ "gdsl_list_free", "group__gdsl__list.html#ga9d220b3b117386ae70fe7fdb6e0cef5b", null ],
    [ "gdsl_list_flush", "group__gdsl__list.html#ga1e53326dafde19d04ce482136e92bac4", null ],
    [ "gdsl_list_get_name", "group__gdsl__list.html#ga2f1ed945e51ab5ce07b04786aeed88c0", null ],
    [ "gdsl_list_get_size", "group__gdsl__list.html#ga636671bc6ec6b13027ee13d7c0be9a35", null ],
    [ "gdsl_list_is_empty", "group__gdsl__list.html#ga3f5c4d273ddfa07c8824f4fe50146224", null ],
    [ "gdsl_list_get_head", "group__gdsl__list.html#ga9cde045e90d61f1e09774422ee83cc4d", null ],
    [ "gdsl_list_get_tail", "group__gdsl__list.html#ga5ead481779e0fb8fb62463c528e8a956", null ],
    [ "gdsl_list_set_name", "group__gdsl__list.html#ga0c7b82f86f64119875e784bf65c8b635", null ],
    [ "gdsl_list_insert_head", "group__gdsl__list.html#gabff17ac2c1b2253dde8a2c9e060d201d", null ],
    [ "gdsl_list_insert_tail", "group__gdsl__list.html#ga545a2c14092c059adcb65a9d71fb22c7", null ],
    [ "gdsl_list_remove_head", "group__gdsl__list.html#gab986f8064fb7f1926ff602fffbd4fba7", null ],
    [ "gdsl_list_remove_tail", "group__gdsl__list.html#ga955266bc7b44a78a77285ef6109b0d0b", null ],
    [ "gdsl_list_remove", "group__gdsl__list.html#gace9d2173b7256b8d60b0c8803a279d5d", null ],
    [ "gdsl_list_delete_head", "group__gdsl__list.html#gabbdb732f3964806f63510f0b6136d3ca", null ],
    [ "gdsl_list_delete_tail", "group__gdsl__list.html#gac508af7ad28e3c417d84a957834980a0", null ],
    [ "gdsl_list_delete", "group__gdsl__list.html#ga0fe2d27934b7855d078b7d89e5df688e", null ],
    [ "gdsl_list_search", "group__gdsl__list.html#gac25a3fb66c9687d21f68fffec730c97a", null ],
    [ "gdsl_list_search_by_position", "group__gdsl__list.html#gab56e1221556836f9a176077915fbd08d", null ],
    [ "gdsl_list_search_max", "group__gdsl__list.html#gad2b842ccc7f0ed732df149e4f493cc06", null ],
    [ "gdsl_list_search_min", "group__gdsl__list.html#ga3c57fcc4c77e4e42a1ec0794c0a9cc01", null ],
    [ "gdsl_list_sort", "group__gdsl__list.html#ga6b96f343d2657677bb72b4e3a6c32c35", null ],
    [ "gdsl_list_map_forward", "group__gdsl__list.html#gaaa1aa93760c74b8868f598ae4762034f", null ],
    [ "gdsl_list_map_backward", "group__gdsl__list.html#ga9c92f66fdb2034a7d33905c16ba7a643", null ],
    [ "gdsl_list_write", "group__gdsl__list.html#gae26810b8edeb5a5ed2c3259fc425ac6f", null ],
    [ "gdsl_list_write_xml", "group__gdsl__list.html#ga1306d2d0c329dfae244505a1b2d9d4b9", null ],
    [ "gdsl_list_dump", "group__gdsl__list.html#ga8667ee72192ba06ef4f541cc1b925517", null ],
    [ "gdsl_list_cursor_alloc", "group__gdsl__list.html#ga73b9eca4fcca1679089c064c8db87961", null ],
    [ "gdsl_list_cursor_free", "group__gdsl__list.html#gae38ef7ce486f88e741f85d009eedd705", null ],
    [ "gdsl_list_cursor_move_to_head", "group__gdsl__list.html#ga9d88424a9c60a3eb696e658f322a49f5", null ],
    [ "gdsl_list_cursor_move_to_tail", "group__gdsl__list.html#gae2fe3f7ca5b07b6067534ae412f0faa4", null ],
    [ "gdsl_list_cursor_move_to_value", "group__gdsl__list.html#ga6bb6cc52796b87560a46be4a29480bf9", null ],
    [ "gdsl_list_cursor_move_to_position", "group__gdsl__list.html#ga5f344c752896ec3b2bb41169e8e8b2c7", null ],
    [ "gdsl_list_cursor_step_forward", "group__gdsl__list.html#ga88e466cff5f8616b524f4b3d56e7b0d7", null ],
    [ "gdsl_list_cursor_step_backward", "group__gdsl__list.html#gabeae22a3869ee192439f81b0271692b8", null ],
    [ "gdsl_list_cursor_is_on_head", "group__gdsl__list.html#ga87119e865865bdd531360a2768015aae", null ],
    [ "gdsl_list_cursor_is_on_tail", "group__gdsl__list.html#ga497fa4777c9cf2b0e5a16b058eb01429", null ],
    [ "gdsl_list_cursor_has_succ", "group__gdsl__list.html#ga34a69c63788fd552638a4599a29d9e03", null ],
    [ "gdsl_list_cursor_has_pred", "group__gdsl__list.html#ga307534d83c52108e940d2990d98ff4eb", null ],
    [ "gdsl_list_cursor_set_content", "group__gdsl__list.html#ga2e2fb42a84aa537609d1a863f050b8e3", null ],
    [ "gdsl_list_cursor_get_content", "group__gdsl__list.html#ga772f3a881da6a6f541a3f77c75ee3e6e", null ],
    [ "gdsl_list_cursor_insert_after", "group__gdsl__list.html#ga2dbc65933800f63bda62742ba7687ea8", null ],
    [ "gdsl_list_cursor_insert_before", "group__gdsl__list.html#gaf4d5b11daa472d6f51b01434bdb84bf4", null ],
    [ "gdsl_list_cursor_remove", "group__gdsl__list.html#ga252d9851234a36a35381d67f7af58475", null ],
    [ "gdsl_list_cursor_remove_after", "group__gdsl__list.html#ga807fb4304da01d90edb6a953a2bea6d3", null ],
    [ "gdsl_list_cursor_remove_before", "group__gdsl__list.html#ga943103f832e42a88562d7b4f92fe93ac", null ],
    [ "gdsl_list_cursor_delete", "group__gdsl__list.html#ga2a117b1330a07b55e17bb7ff777166d4", null ],
    [ "gdsl_list_cursor_delete_after", "group__gdsl__list.html#ga4532feb1ac3ae1f0e30cf163e8e23abb", null ],
    [ "gdsl_list_cursor_delete_before", "group__gdsl__list.html#ga5ab0916bcc19bf25cb498f52417ba0dd", null ]
];